Skip to main content
GET
/
v1
/
assets
/
blockchains
List supported blockchains
curl --request GET \
  --url https://api.xentfi.com/v1/assets/blockchains \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": [
    {
      "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
      "name": "Base",
      "slug": "base-mainnet",
      "symbol": "ETH",
      "isActive": true,
      "isEvmCompatible": true,
      "configurations": null,
      "chainId": 8453,
      "logoUrl": "https://example.com/base-logo.png",
      "tokenStandard": "ERC20",
      "createdAt": "2023-04-28T14:44:06.397Z",
      "updatedAt": "2024-11-26T15:26:18.785Z"
    }
  ],
  "total": 10,
  "hasMore": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Query Parameters

isActive
boolean
default:true
includeAssets
boolean
default:false
slug
string

Filter by blockchain slug

tokenStandard
string

Filter by token standard (e.g., "ERC20", "BEP20")

name
string

Filter by blockchain name

mainnet
boolean

Filter by mainnet/testnet

offset
integer
default:0

Number of items to skip

Required range: x >= 0
limit
integer
default:50

Maximum number of items to return

Required range: 1 <= x <= 100

Response

List of supported blockchains

data
object[]
total
integer

Total number of blockchains matching the filter

Example:

10

hasMore
boolean

Whether there are more results available

Example:

false